

- Remove dead declaration from elevator.h (Nick Piggin)

- Fix the scheduler selection boot-time message.  "Using anticipatory
  scheduling io scheduler" is not grammatical.

- Remove last use of __SMP__ (Randy Dunlap)


 drivers/block/as-iosched.c |    2 +-
 fs/jbd/transaction.c       |    3 ---
 include/linux/elevator.h   |    1 -
 3 files changed, 1 insertion(+), 5 deletions(-)

diff -puN drivers/block/as-iosched.c~misc35 drivers/block/as-iosched.c
--- 25/drivers/block/as-iosched.c~misc35	2003-09-18 21:38:26.000000000 -0700
+++ 25-akpm/drivers/block/as-iosched.c	2003-09-18 21:38:26.000000000 -0700
@@ -1921,7 +1921,7 @@ elevator_t iosched_as = {
 	.elevator_exit_fn =		as_exit,
 
 	.elevator_ktype =		&as_ktype,
-	.elevator_name =		"anticipatory scheduling",
+	.elevator_name =		"anticipatory",
 };
 
 EXPORT_SYMBOL(iosched_as);
diff -puN include/linux/elevator.h~misc35 include/linux/elevator.h
--- 25/include/linux/elevator.h~misc35	2003-09-18 21:38:26.000000000 -0700
+++ 25-akpm/include/linux/elevator.h	2003-09-18 21:38:26.000000000 -0700
@@ -15,7 +15,6 @@ typedef int (elevator_queue_empty_fn) (r
 typedef void (elevator_remove_req_fn) (request_queue_t *, struct request *);
 typedef void (elevator_requeue_req_fn) (request_queue_t *, struct request *);
 typedef struct request *(elevator_request_list_fn) (request_queue_t *, struct request *);
-typedef struct list_head *(elevator_get_sort_head_fn) (request_queue_t *, struct request *);
 typedef void (elevator_completed_req_fn) (request_queue_t *, struct request *);
 typedef int (elevator_may_queue_fn) (request_queue_t *, int);
 
diff -puN fs/jbd/transaction.c~misc35 fs/jbd/transaction.c
--- 25/fs/jbd/transaction.c~misc35	2003-09-18 21:38:32.000000000 -0700
+++ 25-akpm/fs/jbd/transaction.c	2003-09-18 21:38:40.000000000 -0700
@@ -1932,9 +1932,6 @@ void __journal_file_buffer(struct journa
 	J_ASSERT_JH(jh, jbd_is_locked_bh_state(bh));
 	assert_spin_locked(&transaction->t_journal->j_list_lock);
 
-#ifdef __SMP__
-	J_ASSERT (current->lock_depth >= 0);
-#endif
 	J_ASSERT_JH(jh, jh->b_jlist < BJ_Types);
 	J_ASSERT_JH(jh, jh->b_transaction == transaction ||
 				jh->b_transaction == 0);

_
